API ReferenceGeneratedYour data
Update a record by its uid
Update a record by its uid
Authorization
bearerAuth AuthorizationBearer <token>
Authorization for API
In: header
Path Parameters
rowUid*string
The vendors row's uid (an app's is its app_uid). A numeric id names nothing.
Format
uuidappUid*string
Your app's unique id. Find it in the console under the app's Settings, or in the URL of any app page.
Format
uuidHeader Parameters
Idempotency-Key?string
Optional. Send a unique key (e.g. a UUID) to make this write retry-safe: the operation runs once and retries with the same key return the cached response (24h) instead of creating a duplicate. Reusing a key with a different body returns 409.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/497f6eca-6276-4993-bfeb-53cbbbba6f08/autocrud/vendors/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "bank_account_number": "string", "bank_details_updated_days_ago": 0, "bank_routing_number": "string", "contact_email": "string", "country": "string", "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z", "name": "string", "notes": "string", "payment_terms": "string", "sector": "string", "status": "string", "updated_at": "2019-08-24T14:15:22Z", "vendor_code": "string", "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5"}